{
  "annotations": {
    "list": [
      {
        "builtIn": 1,
        "datasource": "-- Grafana --",
        "enable": true,
        "hide": true,
        "iconColor": "rgba(0, 211, 255, 1)",
        "name": "Annotations & Alerts",
        "type": "dashboard"
      }
    ]
  },
  "editable": true,
  "gnetId": null,
  "graphTooltip": 0,
  "id": 2,
  "links": [],
  "panels": [
    {
      "aliasColors": {},
      "bars": false,
      "dashLength": 10,
      "dashes": false,
      "datasource": "{{ inv_dm.grafana.datasources.timescale_name  }}",
      "fieldConfig": {
        "defaults": {
          "custom": {},
          "links": []
        },
        "overrides": []
      },
      "fill": 1,
      "fillGradient": 0,
      "gridPos": {
        "h": 5,
        "w": 19,
        "x": 0,
        "y": 0
      },
      "hiddenSeries": false,
      "id": 2,
      "legend": {
        "avg": false,
        "current": false,
        "max": false,
        "min": false,
        "show": false,
        "total": false,
        "values": false
      },
      "lines": true,
      "linewidth": 1,
      "nullPointMode": "connected",
      "options": {
        "alertThreshold": true
      },
      "percentage": false,
      "pluginVersion": "7.3.4",
      "pointradius": 2,
      "points": false,
      "renderer": "flot",
      "seriesOverrides": [],
      "spaceLength": 10,
      "stack": false,
      "steppedLine": false,
      "targets": [
        {
          "format": "time_series",
          "group": [],
          "metricColumn": "none",
          "rawQuery": false,
          "rawSql": "SELECT   time_index as \"time\",   pm10 FROM mt{{ tenant.demo_flows.air_quality_ldinfo.dataspace }}.etairqualityobserved WHERE   $__timeFilter(time_index) AND   entity_id = 'urn:ngsi-ld:AirQualityObserved:Luftdaten-{{ tenant.demo_flows.air_quality_ldinfo.sensor_id }}' ORDER BY 1",
          "refId": "A",
          "select": [
            [
              {
                "params": [
                  "pm10"
                ],
                "type": "column"
              }
            ]
          ],
          "table": "mt{{ tenant.demo_flows.air_quality_ldinfo.dataspace }}.etairqualityobserved",
          "timeColumn": "time_index",
          "timeColumnType": "timestamptz",
          "where": [
            {
              "name": "$__timeFilter",
              "params": [],
              "type": "macro"
            },
            {
              "datatype": "text",
              "name": "",
              "params": [
                "entity_id",
                "=",
                "'urn:ngsi-ld:AirQualityObserved:Luftdaten-{{ tenant.demo_flows.air_quality_ldinfo.sensor_id }}'"
              ],
              "type": "expression"
            }
          ]
        }
      ],
      "thresholds": [],
      "timeFrom": null,
      "timeRegions": [],
      "timeShift": null,
      "title": "Air Quality - PM10",
      "tooltip": {
        "shared": true,
        "sort": 0,
        "value_type": "individual"
      },
      "type": "graph",
      "xaxis": {
        "buckets": null,
        "mode": "time",
        "name": null,
        "show": true,
        "values": []
      },
      "yaxes": [
        {
          "format": "conμgm3",
          "label": null,
          "logBase": 1,
          "max": null,
          "min": "0",
          "show": true
        },
        {
          "format": "short",
          "label": null,
          "logBase": 1,
          "max": null,
          "min": null,
          "show": true
        }
      ],
      "yaxis": {
        "align": false,
        "alignLevel": null
      }
    },
    {
      "datasource": "{{ inv_dm.grafana.datasources.timescale_name  }}",
      "fieldConfig": {
        "defaults": {
          "custom": {},
          "decimals": 1,
          "mappings": [],
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "green",
                "value": null
              },
              {
                "color": "red",
                "value": 80
              }
            ]
          },
          "unit": "conμgm3"
        },
        "overrides": []
      },
      "gridPos": {
        "h": 5,
        "w": 4,
        "x": 19,
        "y": 0
      },
      "id": 4,
      "options": {
        "colorMode": "value",
        "graphMode": "none",
        "justifyMode": "center",
        "orientation": "auto",
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ],
          "fields": "",
          "values": false
        },
        "textMode": "auto"
      },
      "pluginVersion": "7.3.4",
      "targets": [
        {
          "format": "time_series",
          "group": [],
          "metricColumn": "none",
          "rawQuery": false,
          "rawSql": "SELECT   time_index as \"time\",   pm10 FROM mt{{ tenant.demo_flows.air_quality_ldinfo.dataspace }}.etairqualityobserved WHERE   $__timeFilter(time_index) AND   entity_id = 'urn:ngsi-ld:AirQualityObserved:Luftdaten-{{ tenant.demo_flows.air_quality_ldinfo.sensor_id }}' ORDER BY 1",
          "refId": "A",
          "select": [
            [
              {
                "params": [
                  "pm10"
                ],
                "type": "column"
              }
            ]
          ],
          "table": "mt{{ tenant.demo_flows.air_quality_ldinfo.dataspace }}.etairqualityobserved",
          "timeColumn": "time_index",
          "timeColumnType": "timestamptz",
          "where": [
            {
              "name": "$__timeFilter",
              "params": [],
              "type": "macro"
            },
            {
              "datatype": "text",
              "name": "",
              "params": [
                "entity_id",
                "=",
                "'urn:ngsi-ld:AirQualityObserved:Luftdaten-{{ tenant.demo_flows.air_quality_ldinfo.sensor_id }}'"
              ],
              "type": "expression"
            }
          ]
        }
      ],
      "timeFrom": null,
      "timeShift": null,
      "title": "Air Quality - PM10",
      "type": "stat"
    },
    {
      "aliasColors": {},
      "bars": false,
      "dashLength": 10,
      "dashes": false,
      "datasource": "{{ inv_dm.grafana.datasources.timescale_name  }}",
      "fieldConfig": {
        "defaults": {
          "custom": {},
          "links": []
        },
        "overrides": []
      },
      "fill": 1,
      "fillGradient": 0,
      "gridPos": {
        "h": 5,
        "w": 19,
        "x": 0,
        "y": 5
      },
      "hiddenSeries": false,
      "id": 5,
      "legend": {
        "avg": false,
        "current": false,
        "max": false,
        "min": false,
        "show": false,
        "total": false,
        "values": false
      },
      "lines": true,
      "linewidth": 1,
      "nullPointMode": "connected",
      "options": {
        "alertThreshold": true
      },
      "percentage": false,
      "pluginVersion": "7.3.4",
      "pointradius": 2,
      "points": false,
      "renderer": "flot",
      "seriesOverrides": [],
      "spaceLength": 10,
      "stack": false,
      "steppedLine": false,
      "targets": [
        {
          "format": "time_series",
          "group": [],
          "metricColumn": "none",
          "rawQuery": false,
          "rawSql": "SELECT   time_index as \"time\", \"pm25\" FROM mt{{ tenant.demo_flows.air_quality_ldinfo.dataspace }}.etairqualityobserved WHERE   $__timeFilter(time_index) AND   entity_id = 'urn:ngsi-ld:AirQualityObserved:Luftdaten-{{ tenant.demo_flows.air_quality_ldinfo.sensor_id }}' ORDER BY 1",
          "refId": "A",
          "select": [
            [
              {
                "params": [
                  "\"pm25\""
                ],
                "type": "column"
              }
            ]
          ],
          "table": "mt{{ tenant.demo_flows.air_quality_ldinfo.dataspace }}.etairqualityobserved",
          "timeColumn": "time_index",
          "timeColumnType": "timestamptz",
          "where": [
            {
              "name": "$__timeFilter",
              "params": [],
              "type": "macro"
            },
            {
              "datatype": "text",
              "name": "",
              "params": [
                "entity_id",
                "=",
                "'urn:ngsi-ld:AirQualityObserved:Luftdaten-{{ tenant.demo_flows.air_quality_ldinfo.sensor_id }}'"
              ],
              "type": "expression"
            }
          ]
        }
      ],
      "thresholds": [],
      "timeFrom": null,
      "timeRegions": [],
      "timeShift": null,
      "title": "Air Quality - PM2.5",
      "tooltip": {
        "shared": true,
        "sort": 0,
        "value_type": "individual"
      },
      "type": "graph",
      "xaxis": {
        "buckets": null,
        "mode": "time",
        "name": null,
        "show": true,
        "values": []
      },
      "yaxes": [
        {
          "decimals": 0,
          "format": "conμgm3",
          "label": null,
          "logBase": 1,
          "max": null,
          "min": "0",
          "show": true
        },
        {
          "format": "short",
          "label": null,
          "logBase": 1,
          "max": null,
          "min": null,
          "show": false
        }
      ],
      "yaxis": {
        "align": false,
        "alignLevel": null
      }
    },
    {
      "datasource": "{{ inv_dm.grafana.datasources.timescale_name  }}",
      "fieldConfig": {
        "defaults": {
          "custom": {},
          "decimals": 1,
          "mappings": [],
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "green",
                "value": null
              }
            ]
          },
          "unit": "conμgm3"
        },
        "overrides": []
      },
      "gridPos": {
        "h": 5,
        "w": 4,
        "x": 19,
        "y": 5
      },
      "id": 6,
      "options": {
        "colorMode": "value",
        "graphMode": "none",
        "justifyMode": "center",
        "orientation": "auto",
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ],
          "fields": "",
          "values": false
        },
        "textMode": "auto"
      },
      "pluginVersion": "7.3.4",
      "targets": [
        {
          "format": "time_series",
          "group": [],
          "metricColumn": "none",
          "rawQuery": false,
          "rawSql": "SELECT   time_index as \"time\",  \"pm25\" FROM mt{{ tenant.demo_flows.air_quality_ldinfo.dataspace }}.etairqualityobserved WHERE   $__timeFilter(time_index) AND   entity_id = 'urn:ngsi-ld:AirQualityObserved:Luftdaten-{{ tenant.demo_flows.air_quality_ldinfo.sensor_id }}' ORDER BY 1",
          "refId": "A",
          "select": [
            [
              {
                "params": [
                  "\"pm25\""
                ],
                "type": "column"
              }
            ]
          ],
          "table": "mt{{ tenant.demo_flows.air_quality_ldinfo.dataspace }}.etairqualityobserved",
          "timeColumn": "time_index",
          "timeColumnType": "timestamptz",
          "where": [
            {
              "name": "$__timeFilter",
              "params": [],
              "type": "macro"
            },
            {
              "datatype": "text",
              "name": "",
              "params": [
                "entity_id",
                "=",
                "'urn:ngsi-ld:AirQualityObserved:Luftdaten-{{ tenant.demo_flows.air_quality_ldinfo.sensor_id }}'"
              ],
              "type": "expression"
            }
          ]
        }
      ],
      "timeFrom": null,
      "timeShift": null,
      "title": "Air Quality - PM2.5",
      "type": "stat"
    },
    {
      "aliasColors": {},
      "bars": false,
      "dashLength": 10,
      "dashes": false,
      "datasource": "{{ inv_dm.grafana.datasources.timescale_name  }}",
      "description": "",
      "fieldConfig": {
        "defaults": {
          "custom": {},
          "links": []
        },
        "overrides": []
      },
      "fill": 1,
      "fillGradient": 0,
      "gridPos": {
        "h": 5,
        "w": 19,
        "x": 0,
        "y": 10
      },
      "hiddenSeries": false,
      "id": 7,
      "legend": {
        "avg": false,
        "current": false,
        "max": false,
        "min": false,
        "show": false,
        "total": false,
        "values": false
      },
      "lines": true,
      "linewidth": 1,
      "nullPointMode": "connected",
      "options": {
        "alertThreshold": true
      },
      "percentage": false,
      "pluginVersion": "7.3.4",
      "pointradius": 2,
      "points": false,
      "renderer": "flot",
      "seriesOverrides": [],
      "spaceLength": 10,
      "stack": false,
      "steppedLine": false,
      "targets": [
        {
          "format": "time_series",
          "group": [],
          "metricColumn": "none",
          "rawQuery": false,
          "rawSql": "SELECT   time_index as \"time\",   temperature FROM mt{{ tenant.demo_flows.air_quality_ldinfo.dataspace }}.etairqualityobserved WHERE   $__timeFilter(time_index) AND   entity_id = 'urn:ngsi-ld:AirQualityObserved:Luftdaten-{{ tenant.demo_flows.air_quality_ldinfo.sensor_id }}' ORDER BY 1",
          "refId": "A",
          "select": [
            [
              {
                "params": [
                  "temperature"
                ],
                "type": "column"
              }
            ]
          ],
          "table": "mt{{ tenant.demo_flows.air_quality_ldinfo.dataspace }}.etairqualityobserved",
          "timeColumn": "time_index",
          "timeColumnType": "timestamptz",
          "where": [
            {
              "name": "$__timeFilter",
              "params": [],
              "type": "macro"
            },
            {
              "datatype": "text",
              "name": "",
              "params": [
                "entity_id",
                "=",
                "'urn:ngsi-ld:AirQualityObserved:Luftdaten-{{ tenant.demo_flows.air_quality_ldinfo.sensor_id }}'"
              ],
              "type": "expression"
            }
          ]
        }
      ],
      "thresholds": [],
      "timeFrom": null,
      "timeRegions": [],
      "timeShift": null,
      "title": "Air Quality - Temperature",
      "tooltip": {
        "shared": true,
        "sort": 0,
        "value_type": "individual"
      },
      "type": "graph",
      "xaxis": {
        "buckets": null,
        "mode": "time",
        "name": null,
        "show": true,
        "values": []
      },
      "yaxes": [
        {
          "decimals": 0,
          "format": "short",
          "label": null,
          "logBase": 1,
          "max": null,
          "min": "0",
          "show": true
        },
        {
          "format": "short",
          "label": null,
          "logBase": 1,
          "max": null,
          "min": null,
          "show": false
        }
      ],
      "yaxis": {
        "align": false,
        "alignLevel": null
      }
    },
    {
      "datasource": "{{ inv_dm.grafana.datasources.timescale_name  }}",
      "fieldConfig": {
        "defaults": {
          "custom": {},
          "decimals": 1,
          "mappings": [],
          "thresholds": {
            "mode": "absolute",
            "steps": [
              {
                "color": "green",
                "value": null
              }
            ]
          },
          "unit": "celsius"
        },
        "overrides": []
      },
      "gridPos": {
        "h": 5,
        "w": 4,
        "x": 19,
        "y": 10
      },
      "id": 8,
      "options": {
        "colorMode": "value",
        "graphMode": "none",
        "justifyMode": "center",
        "orientation": "auto",
        "reduceOptions": {
          "calcs": [
            "lastNotNull"
          ],
          "fields": "",
          "values": false
        },
        "textMode": "auto"
      },
      "pluginVersion": "7.3.4",
      "targets": [
        {
          "format": "time_series",
          "group": [],
          "metricColumn": "none",
          "rawQuery": false,
          "rawSql": "SELECT   time_index as \"time\",   temperature FROM mt{{ tenant.demo_flows.air_quality_ldinfo.dataspace }}.etairqualityobserved WHERE   $__timeFilter(time_index) AND   entity_id = 'urn:ngsi-ld:AirQualityObserved:Luftdaten-{{ tenant.demo_flows.air_quality_ldinfo.sensor_id }}' ORDER BY 1",
          "refId": "A",
          "select": [
            [
              {
                "params": [
                  "temperature"
                ],
                "type": "column"
              }
            ]
          ],
          "table": "mt{{ tenant.demo_flows.air_quality_ldinfo.dataspace }}.etairqualityobserved",
          "timeColumn": "time_index",
          "timeColumnType": "timestamptz",
          "where": [
            {
              "name": "$__timeFilter",
              "params": [],
              "type": "macro"
            },
            {
              "datatype": "text",
              "name": "",
              "params": [
                "entity_id",
                "=",
                "'urn:ngsi-ld:AirQualityObserved:Luftdaten-{{ tenant.demo_flows.air_quality_ldinfo.sensor_id }}'"
              ],
              "type": "expression"
            }
          ]
        }
      ],
      "timeFrom": null,
      "timeShift": null,
      "title": "Air Quality - Temperature",
      "type": "stat"
    }
  ],
  "schemaVersion": 26,
  "style": "dark",
  "tags": [],
  "templating": {
    "list": []
  },
  "time": {
    "from": "now-6h",
    "to": "now"
  },
  "timepicker": {
    "refresh_intervals": [
      "60"
    ]
  },
  "timezone": "Europe/Berlin",
  "title": "AirQuality Luftdaten.info",
  "uid": "zgeI_2TMk",
  "version": 1
}
